---
title: Get Failed Coupons by Batch
slug: api-documentation/get-failed-coupons-by-batch
docTags: 
createdAt: 2026-08-27T17:06:56.421Z
---

{
  "id": "8j1xqB-l3IR2D05b9i6Kk",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}/{take}/{drop}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}/{take}/{drop}"
      }
    ],
    "name": "Get Failed Coupons by Batch",
    "description": "<p>This endpoint returns all the coupons that failed to import for a given batch.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>promotion.coupon.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "batchId",
          "type": "string<uuid>",
          "description": "Unique identifier for batch.",
          "format": "uuid"
        },
        {
          "kind": "required",
          "name": "take",
          "type": "integer",
          "description": "Number of entries to return."
        },
        {
          "kind": "required",
          "name": "drop",
          "type": "integer",
          "description": "Number of entries to skip."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success- failed-to-import coupons returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "CouponIn[]",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier for coupon."
              },
              {
                "name": "promotionId",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier for promotion."
              },
              {
                "name": "maxUserUsage",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "maxUsage",
                "kind": "optional",
                "type": "integer",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/CouponIn",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "iXaJlwj1NCMr4Qo1SrGMI",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}/{take}/{drop} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "l1HRWBvxkHFd8-6i4uIdK",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}/{take}/{drop}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "hvwQAVQcdHrA4F7mC0J4g",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}/{take}/{drop}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ABKNZ7UhQa2SSqlGnaxfT",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}/{take}/{drop}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "iXaJlwj1NCMr4Qo1SrGMI"
    },
    "results": {
      "languages": [
        {
          "id": "a5Jp0LZNokPcfhplNUWzU",
          "language": "200",
          "code": "// Success- failed-to-import coupons returned.\n[\n  {\n    \"id\": \"\",\n    \"promotionId\": \"\",\n    \"maxUserUsage\": 0,\n    \"maxUsage\": 0\n  }\n]"
        },
        {
          "id": "GmyfIuhYhxIv3ZSU3ocJs",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "a5Jp0LZNokPcfhplNUWzU"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}